Skip to main content
Get all scenarios in a workspace with filtering and search capabilities. Scenarios define test situations combining personas and agents for comprehensive evaluation.
curl -X GET "https://api.chanl.ai/api/v1/workspaces/ws_123/scenarios" \
  -H "Authorization: Bearer <access_token>"
{
  "success": true,
  "data": {
    "scenarios": [
      {
        "id": "scenario_123",
        "name": "Customer Service Inquiry",
        "prompt": "You are calling customer service about a billing issue with your account. You received a charge you do not recognize and want it resolved.",
        "personas": [
          {
            "id": "persona_456",
            "name": "Frustrated Customer"
          },
          {
            "id": "persona_789",
            "name": "Polite Customer"
          }
        ],
        "targetAgents": [
          {
            "id": "agent_101",
            "name": "Customer Service Agent 1"
          }
        ],
        "scorecard": {
          "id": "scorecard_234",
          "name": "Customer Service Quality"
        },
        "tags": ["billing", "customer-service"],
        "created_at": "2024-01-01T10:00:00Z",
        "updated_at": "2024-01-15T09:30:00Z",
        "created_by": {
          "id": "user_567",
          "name": "Jane Smith"
        },
        "stats": {
          "total_simulations": 23,
          "avg_score": 87.3,
          "last_run": "2024-01-15T08:45:00Z"
        }
      }
    ],
    "pagination": {
      "total": 45,
      "page": 1,
      "limit": 50
    }
  }
}